services:
  typecho:
    image: joyqi/typecho:1.2.1-php8.0-apache
    container_name: ${CONTAINER_NAME}
    restart: always
    environment:
      - TYPECHO_INSTALL=1
      - TYPECHO_DB_ADAPTER=${TYPECHO_DB_ADAPTER}
      - TYPECHO_DB_HOST=${PANEL_DB_HOST}
      - TYPECHO_DB_DATABASE=${PANEL_DB_NAME}
      - TYPECHO_DB_PORT=${PANEL_DB_PORT}
      - TYPECHO_DB_USER=${PANEL_DB_USER}
      - TYPECHO_DB_PASSWORD=${PANEL_DB_USER_PASSWORD}
      - TYPECHO_USER_NAME=${TYPECHO_USER_NAME}
      - TYPECHO_USER_PASSWORD=${TYPECHO_USER_PASSWORD}
      - TYPECHO_USER_MAIL=${TYPECHO_USER_MAIL}
      - TYPECHO_SITE_URL=${TYPECHO_EXTERNAL_URL}
    ports:
      - ${PANEL_APP_PORT_HTTP}:80
    networks:
      - opsmind-network
    volumes:
      - ./data:/app
    labels:
      createdBy: "Apps"
networks:
  opsmind-network:
    external: true